1. Space Related
Realsee Open API
  • Open API
    • Permission Interface
      • Get access_token
    • Metadata Related
      • Short Link Code Parsing
      • Combine VR Data
    • Viewing Service
      • Create Viewing Room (Open Platform Version)
      • Get Room Ticket
      • Get Voice Room Signature Interface
      • Get Viewing Room Details
    • Basic Data
      • VR Basic Data
      • Homepage Basic Data
      • Project List Data
      • VR point collection information
    • Edit Data
      • Space Related
        • Route guidance (old)
          GET
        • Hot data
          GET
        • Ruler data
          GET
        • Explain data
          GET
        • Point navigation data
          GET
        • Floor plan plug-in related data
          GET
        • Point video data
          GET
        • Custom ruler data
          GET
        • Label data
          GET
        • Route guidance
          GET
        • Get floor perspective
          GET
        • Get a list of surveillance videos
          GET
        • Hot data_V2
          GET
        • Hot data_V4
          GET
        • Get the entry door data
          GET
        • Entry door data interface
          GET
        • Get tag details
          GET
        • Point navigation data (new)
          GET
        • Tag list
          GET
        • Route planning
          GET
      • Business Related
        • VR introduction data
        • Extended information details (PDF&image file list)
        • Get PDF file preview link
        • Personal business card information
        • Get page component data
      • Configuration Related
        • VR configuration data
        • Source dimension introduction
        • Route guidance personalized configuration
        • Tag configuration
  • Schemas
    • Schemas
      • Work Data
      • Account description
      • Hot spot tag data
      • User details
      • Hotspot tag response data body
      • Account details
      • Manual ruler data
      • Point navigation data
      • Point video data
      • Label data
      • Route guidance data
      • Short-link coding details
      • Home screen data
      • Gateway response body
  1. Space Related

Point navigation data

GET
https://app-gateway.realsee.ai/open/v3/observerpicture/search

Request

Query Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --globoff 'https://app-gateway.realsee.ai/open/v3/observerpicture/search?resource_code=' \
--header 'Authorization: '

Responses

🟢200成功
application/json
Bodyapplication/json

Example
{
    "request_id": "20240318160309-1027202105-b558cc038e393ca1bee06a2f3be73ca5",
    "trace_id": "5cf76563-eaf0-4274-9fe8-1d1853d994f4",
    "business_code": "0",
    "osi_request_id": "",
    "code": 0,
    "status": "success",
    "data": {
        "list": [
            {
                "config": null,
                "custom_id": 37335139730,
                "data": {
                    "distance": 0,
                    "flag_position": [],
                    "floor_index": 0,
                    "fov": 109,
                    "heading": 0,
                    "latitude": 0.18827485380116948,
                    "longitude": 2.83064723727881,
                    "mode": "",
                    "offset": null,
                    "pano_index": 13
                },
                "derived_id": 0,
                "derived_id_str": "0",
                "display_index": 0,
                "height": 1080,
                "id": 3923013,
                "name": "Overview",
                "pano_index": 13,
                "picture_url": "http://vrlab-public.ljcdn.com/release/auto3dhd/486aa544066767314c261b262b87dd2c/screenshot/1639719186_13/pc0_xzo6d3Xqx.jpg",
                "square_picture_url": "",
                "type": 0,
                "width": 1440
            },
            {
                "config": null,
                "custom_id": 37335139730,
                "data": {
                    "distance": 0,
                    "flag_position": [],
                    "floor_index": 0,
                    "fov": 109,
                    "heading": 0,
                    "latitude": 0.16393338295916576,
                    "longitude": 1.761739117626182,
                    "mode": "",
                    "offset": null,
                    "pano_index": 12
                },
                "derived_id": 0,
                "derived_id_str": "0",
                "display_index": 1,
                "height": 1080,
                "id": 3923014,
                "name": "table",
                "pano_index": 12,
                "picture_url": "http://vrlab-public.ljcdn.com/release/auto3dhd/486aa544066767314c261b262b87dd2c/screenshot/1639719129_12/pc0_4kxc5wDR8.jpg",
                "square_picture_url": "",
                "type": 0,
                "width": 1440
            },
            {
                "config": null,
                "custom_id": 37335139730,
                "data": {
                    "distance": 0,
                    "flag_position": [],
                    "floor_index": 0,
                    "fov": 109,
                    "heading": 0,
                    "latitude": -0.024159800819954124,
                    "longitude": 0.86998318220849,
                    "mode": "",
                    "offset": null,
                    "pano_index": 11
                },
                "derived_id": 0,
                "derived_id_str": "0",
                "display_index": 2,
                "height": 1080,
                "id": 3923015,
                "name": "kitchen",
                "pano_index": 11,
                "picture_url": "http://vrlab-public.ljcdn.com/release/auto3dhd/486aa544066767314c261b262b87dd2c/screenshot/1639719014_11/pc0_1UHUbnTrj.jpg",
                "square_picture_url": "",
                "type": 0,
                "width": 1440
            },
            {
                "config": null,
                "custom_id": 37335139730,
                "data": {
                    "distance": 0,
                    "flag_position": [],
                    "floor_index": 0,
                    "fov": 109,
                    "heading": 0,
                    "latitude": 0.024523140864053376,
                    "longitude": 1.6273395164890507,
                    "mode": "",
                    "offset": null,
                    "pano_index": 1
                },
                "derived_id": 0,
                "derived_id_str": "0",
                "display_index": 3,
                "height": 1080,
                "id": 3923016,
                "name": "Bar area",
                "pano_index": 1,
                "picture_url": "http://vrlab-public.ljcdn.com/release/auto3dhd/486aa544066767314c261b262b87dd2c/screenshot/1639718196_1/pc0_SeFc4wTGI.jpg",
                "square_picture_url": "",
                "type": 0,
                "width": 1440
            }
        ]
    },
    "cost": 13
}
Previous
Explain data
Next
Floor plan plug-in related data
Built with